from StringLib import ogCheckStringInGroup, ogCheckStringInReg, ogCheckIpAddress

def test_functions():
    # Prueba de ogCheckStringInGroup
    print("Prueba de ogCheckStringInGroup")
    element = "full-duplex"
    group = "full-duplex half-duplex broadcast"
    print(f"Elemento: {element}, Grupo: {group}")
    print("Pertenece al grupo:", ogCheckStringInGroup(element, group))

    # Prueba de ogCheckStringInReg
    print("\nPrueba de ogCheckStringInReg")
    element = "50M"
    regex = r"^[0-9]{1,2}M$"
    print(f"Elemento: {element}, Expresión regular: {regex}")
    print("Coincide con la expresión regular:", ogCheckStringInReg(element, regex))

    # Prueba de ogCheckIpAddress
    print("\nPrueba de ogCheckIpAddress")
    ip = "192.18.35.3"
    print(f"IP: {ip}")
    print("Es una dirección IP válida:", ogCheckIpAddress(ip))


if __name__ == "__main__":
    test_functions()

